Comment 11 for bug 981247

---------- Forwarded message ----------
From: Brajesh Murari <email address hidden>
Date: Mon, May 14, 2012 at 3:12 PM
Subject: Re: [Dhis2-devs] [Bug 981247] Re: Atfer data visualizer is set as
startpage it wont allow you to exit back to the main page
To: Bug 981247 <email address hidden>

Hi Lars,

I think Jerome, is looking for direct import and export functionality
without generating any
external export.xml or .cvs files from one instance of system to another
instance by
pull and push operation. For example, if meta data is not available on
local system
than that would be pulled directly from on-line system to local system and
than rest data will
*be pushed from local system to on-line system *

*conn open between two instance ---> meta data pulled from on-line instance
to local instance ---> conn close

conn open between two instance ---> actual service data pushed from local
instance to on-line instance --> conn close*

I think this would be an very nice functionality(push/pull) in Import -
Export Web module, in case if local system would have little Internet
connectivity.

Regards,
Brajesh

On Sun, May 13, 2012 at 7:18 PM, Lars Helge Øverland <email address hidden>wrote:

> Hi Jerome,
>
> with data import / export the meta-data will no longer be "shipped" with
> the data. You will first have to synchronize the meta-data between your
> instances and making sure they have the same uids (stable identifiers).
> Then you can export the data, which will be matched on the uids of data
> elements and org units. Lets start a new thread or contact me on chat if
> you need more info..
>
> Lars
>
>
> On Fri, May 4, 2012 at 10:09 PM, Jerome Shaguy <<email address hidden>
> >wrote:
>
> > It comes in WITHOUT any new data or updates when you do that!
> >
> > On Fri, May 4, 2012 at 4:51 PM, Lars Helge Øverland
> > <email address hidden>wrote:
> >
> > > Hi, you need to use XML Data Import and CSV Data Import from the menu
> for
> > > the respective file formats..
> > >
> > > Lars
> > >
> > > On Fri, May 4, 2012 at 5:36 PM, Jerome Shaguy
> > > <email address hidden>wrote:
> > >
> > > > Hi Lars...
> > > >
> > > > I am running from a localhost installation with WINDOWS VISTA as the
> > > > operating system. Have 2.8 installed, the data export has two
> defaults
> > > XML
> > > > and CSV. The problem is that once you export from this instance and
> try
> > > to
> > > > import into another instance it returns no values or updates. What
> > could
> > > be
> > > > the problem?
> > > >
> > > > On Tue, Apr 17, 2012 at 3:31 PM, Lars Helge Øverland
> > > > <email address hidden>wrote:
> > > >
> > > > > Hi yes, that is possible using the import-export web module. See
> > > > > http://dhis2.org/documentation - user docs - import-export.
> > > > >
> > > > > On Tue, Apr 17, 2012 at 1:53 PM, Jerome Shaguy <
> > <email address hidden>
> > > >
> > > > > wrote:
> > > > > > Hi Lars...
> > > > > >
> > > > > > Is it not possible to import data directly into the online
> instance
> > > > from
> > > > > a
> > > > > > location on your computer?
> > > > > >
> > > > > > On Sat, Apr 14, 2012 at 2:58 PM, Lars Helge Øverland
> > > > > > <email address hidden>wrote:
> > > > > >
> > > > > >> Just do the following sql in the database:
> > > > > >>
> > > > > >> delete from systemsetting where name='startModule';
> > > > > >>
> > > > > >> and then restart dhis.
> > > > > >>
> > > > > >> --
> > > > > >> You received this bug notification because you are subscribed to
> > the
> > > > bug
> > > > > >> report.
> > > > > >> https://bugs.launchpad.net/bugs/981247
> > > > > >>
> > > > > >> Title:
> > > > > >> Atfer data visualizer is set as startpage it wont allow you to
> > exit
> > > > > >> back to the main page
> > > > > >>
> > > > > >> Status in DHIS 2 - District Health Information Software:
> > > > > >> Fix Committed
> > > > > >>
> > > > > >> Bug description:
> > > > > >> I set the visualizer as my start page, it works fine. The only
> > > > problem
> > > > > >> is now I cant get back to my main menu. Is this a bug?
> > > > > >>
> > > > > >> To manage notifications about this bug go to:
> > > > > >> https://bugs.launchpad.net/dhis2/+bug/981247/+subscriptions
> > > > > >>
> > > > > >
> > > > > > --
> > > > > > You received this bug notification because you are a member of
> > DHIS 2
> > > > > > India Developers, which is subscribed to DHIS.
> > > > > > https://bugs.launchpad.net/bugs/981247
> > > > > >
> > > > > > Title:
> > > > > > Atfer data visualizer is set as startpage it wont allow you to
> > exit
> > > > > > back to the main page
> > > > > >
> > > > > > Status in DHIS 2 - District Health Information Software:
> > > > > > Fix Committed
> > > > > >
> > > > > > Bug description:
> > > > > > I set the visualizer as my start page, it works fine. The only
> > > problem
> > > > > > is now I cant get back to my main menu. Is this a bug?
> > > > > >
> > > > > > To manage notifications about this bug go to:
> > > > > > https://bugs.launchpad.net/dhis2/+bug/981247/+subscriptions
> > > > >
> > > > > --
> > > > > You received this bug notification because you are subscribed to
> the
> > > bug
> > > > > report.
> > > > > https://bugs.launchpad.net/bugs/981247
> > > > >
> > > > > Title:
> > > > > Atfer data visualizer is set as startpage it wont allow you to
> exit
> > > > > back to the main page
> > > > >
> > > > > Status in DHIS 2 - District Health Information Software:
> > > > > Fix Committed
> > > > >
> > > > > Bug description:
> > > > > I set the visualizer as my start page, it works fine. The only
> > problem
> > > > > is now I cant get back to my main menu. Is this a bug?
> > > > >
> > > > > To manage notifications about this bug go to:
> > > > > https://bugs.launchpad.net/dhis2/+bug/981247/+subscriptions
> > > > >
> > > >
> > > > --
> > > > You received this bug notification because you are a member of DHIS 2
> > > > India Developers, which is subscribed to DHIS.
> > > > https://bugs.launchpad.net/bugs/981247
> > > >
> > > > Title:
> > > > Atfer data visualizer is set as startpage it wont allow you to exit
> > > > back to the main page
> > > >
> > > > Status in DHIS 2 - District Health Information Software:
> > > > Fix Committed
> > > >
> > > > Bug description:
> > > > I set the visualizer as my start page, it works fine. The only
> problem
> > > > is now I cant get back to my main menu. Is this a bug?
> > > >
> > > > To manage notifications about this bug go to:
> > > > https://bugs.launchpad.net/dhis2/+bug/981247/+subscriptions
> > > >
> > >
> > > --
> > > You received this bug notification because you are subscribed to the
> bug
> > > report.
> > > https://bugs.launchpad.net/bugs/981247
> > >
> > > Title:
> > > Atfer data visualizer is set as startpage it wont allow you to exit
> > > back to the main page
> > >
> > > Status in DHIS 2 - District Health Information Software:
> > > Fix Committed
> > >
> > > Bug description:
> > > I set the visualizer as my start page, it works fine. The only problem
> > > is now I cant get back to my main menu. Is this a bug?
> > >
> > > To manage notifications about this bug go to:
> > > https://bugs.launchpad.net/dhis2/+bug/981247/+subscriptions
> > >
> >
> > --
> > You received this bug notification because you are a member of DHIS 2
> > India Developers, which is subscribed to DHIS.
> > https://bugs.launchpad.net/bugs/981247
> >
> > Title:
> > Atfer data visualizer is set as startpage it wont allow you to exit
> > back to the main page
> >
> > Status in DHIS 2 - District Health Information Software:
> > Fix Committed
> >
> > Bug description:
> > I set the visualizer as my start page, it works fine. The only problem
> > is now I cant get back to my main menu. Is this a bug?
> >
> > To manage notifications about this bug go to:
> > https://bugs.launchpad.net/dhis2/+bug/981247/+subscriptions
> >
>
> --
> You received this bug notification because you are a member of DHIS 2
> developers, which is subscribed to DHIS.
> https://bugs.launchpad.net/bugs/981247
>
> Title:
> Atfer data visualizer is set as startpage it wont allow you to exit
> back to the main page
>
> Status in DHIS 2 - District Health Information Software:
> Fix Committed
>
> Bug description:
> I set the visualizer as my start page, it works fine. The only problem
> is now I cant get back to my main menu. Is this a bug?
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/dhis2/+bug/981247/+subscriptions
>
> _______________________________________________
> Mailing list: https://launchpad.net/~dhis2-devs
> Post to : <email address hidden>
> Unsubscribe : https://launchpad.net/~dhis2-devs
> More help : https://help.launchpad.net/ListHelp
>

--
Regards,
Brajesh

--
Regards,
Brajesh